summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author GPLeo2010-08-28 14:05:26 +0200
committer Erik Hanson2010-08-29 22:32:14 +0200
commitfb3448c3b38ba74fb986eb62fec4819253a58af4 (patch)
tree562a9e0f52230409d4d2e278f1e674ddd7af53c8 /development
parenta37a961b48ef5349db84e1de49ff14719240c313 (diff)
downloadslackbuilds-fb3448c3b38ba74fb986eb62fec4819253a58af4.tar.gz
development/logisim: Added (logic simulator)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/logisim/README30
-rw-r--r--development/logisim/logisim.SlackBuild61
-rw-r--r--development/logisim/logisim.info11
-rw-r--r--development/logisim/slack-desc19
4 files changed, 121 insertions, 0 deletions
diff --git a/development/logisim/README b/development/logisim/README
new file mode 100644
index 0000000000..5f8b99e063
--- /dev/null
+++ b/development/logisim/README
@@ -0,0 +1,30 @@
+Logisim is an educational tool for designing and simulating digital logic
+circuits.
+
+Features:
+
+* It is free! (Logisim is open-source (GPL).)
+
+* It runs on any machine supporting Java 1.4 or later; special versions are
+ released for MacOS X and Windows. The cross-platform nature is important
+ for students who have a variety of home/dorm computer systems.
+
+* The drawing interface is based on an intuitive toolbar. Color-coded wires
+ aid in simulating and debugging a circuit.
+
+* The wiring tool draws horizontal and vertical wires, automatically
+ connecting to components and to other wires. It's very easy to draw
+ circuits!
+
+* Completed circuits can be saved into a file, exported to a GIF file, or
+ printed on a printer.
+
+* Circuit layouts can be used as "subcircuits" of other circuits, allowing
+ for hierarchical circuit design.
+
+* Included circuit components include inputs and outputs, gates,
+ multiplexers, arithmetic circuits, flip-flops, and RAM memory.
+
+* The included "combinational analysis" module allows for conversion between
+ circuits, truth tables, and Boolean expressions.
+
diff --git a/development/logisim/logisim.SlackBuild b/development/logisim/logisim.SlackBuild
new file mode 100644
index 0000000000..4a3a4682ee
--- /dev/null
+++ b/development/logisim/logisim.SlackBuild
@@ -0,0 +1,61 @@
+#!/bin/sh
+#
+# Slackware build script for logisim
+#
+# Copyright 2010 GPLeo <gpleomail@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=logisim
+VERSION=${VERSION:-2.4.0}
+ARCH=${ARCH:-noarch}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+
+install -Dm644 $CWD/$PRGNAM-generic-$VERSION.jar \
+ $PKG/opt/logisim/$PRGNAM-generic-$VERSION.jar
+
+mkdir -p $PKG/usr/bin
+
+cat << EOF > $PKG/usr/bin/$PRGNAM
+cd /opt/logisim/
+java -jar $PRGNAM-generic-$VERSION.jar
+EOF
+
+chmod 0755 $PKG/usr/bin/$PRGNAM
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/logisim/logisim.info b/development/logisim/logisim.info
new file mode 100644
index 0000000000..f89d159ad1
--- /dev/null
+++ b/development/logisim/logisim.info
@@ -0,0 +1,11 @@
+PRGNAM="logisim"
+VERSION="2.4.0"
+HOMEPAGE="http://ozark.hendrix.edu/~burch/logisim/"
+DOWNLOAD="http://ufpr.dl.sourceforge.net/project/circuit/2.4.x/2.4.0/logisim-generic-2.4.0.jar
+"
+DOWNLOAD_x86_64=""
+MD5SUM="cc7fac1a687e0389f6078233551b6b51"
+MD5SUM_x86_64=""
+MAINTAINER="GPLeo"
+EMAIL="gpleomail@gmail.com"
+APPROVED="dsomero"
diff --git a/development/logisim/slack-desc b/development/logisim/slack-desc
new file mode 100644
index 0000000000..bc121d117f
--- /dev/null
+++ b/development/logisim/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also customary
+# to leave one space after the ':'.
+
+ |----handy-ruler-------------------------------------------------------|
+logisim: logisim (Logisim is a logic simulator)
+logisim:
+logisim: Logisim is an educational tool for designing and simulating digital
+logisim: logic circuits.
+logisim:
+logisim: Homepage: http://ozark.hendrix.edu/~burch/logisim/
+logisim:
+logisim:
+logisim:
+logisim:
+logisim: